package com.bocloud.cmp.model;

import java.util.List;

/**
 * 华三OpenStack同步数据类
 *
 * @author wangyu
 * @version 4.1.0-SNAPSHOT
 * @since 2019/4/9
 */
public class CloudOSSyncModel {
    private List<RegionModel> regions;
    private List<HostModel> hostModels;
    private List<ServerModel> serverModels;
    private List<NetworkModel> networkModels;
    private List<VolumeModel> volumeModels;
    private List<SnapshotModel> snapshotModels;
    private List<ImageModel> imageModels;
    private List<FlavorModel> flavorModels;
    private List<PortModel> portModels;
    private List<RouterModel> routerModels;
    private List<SecurityGroupModel> groupModels;
    private List<KeypairModel> keypairModels;
    private List<ClusterModel> clusterModels;

    public List<RegionModel> getRegions() {
        return regions;
    }

    public void setRegions(List<RegionModel> regions) {
        this.regions = regions;
    }

    public List<HostModel> getHostModels() {
        return hostModels;
    }

    public void setHostModels(List<HostModel> hostModels) {
        this.hostModels = hostModels;
    }

    public List<ServerModel> getServerModels() {
        return serverModels;
    }

    public void setServerModels(List<ServerModel> serverModels) {
        this.serverModels = serverModels;
    }

    public List<NetworkModel> getNetworkModels() {
        return networkModels;
    }

    public void setNetworkModels(List<NetworkModel> networkModels) {
        this.networkModels = networkModels;
    }

    public List<VolumeModel> getVolumeModels() {
        return volumeModels;
    }

    public void setVolumeModels(List<VolumeModel> volumeModels) {
        this.volumeModels = volumeModels;
    }

    public List<SnapshotModel> getSnapshotModels() {
        return snapshotModels;
    }

    public void setSnapshotModels(List<SnapshotModel> snapshotModels) {
        this.snapshotModels = snapshotModels;
    }

    public List<ImageModel> getImageModels() {
        return imageModels;
    }

    public void setImageModels(List<ImageModel> imageModels) {
        this.imageModels = imageModels;
    }

    public List<FlavorModel> getFlavorModels() {
        return flavorModels;
    }

    public void setFlavorModels(List<FlavorModel> flavorModels) {
        this.flavorModels = flavorModels;
    }

    public List<PortModel> getPortModels() {
        return portModels;
    }

    public void setPortModels(List<PortModel> portModels) {
        this.portModels = portModels;
    }

    public List<RouterModel> getRouterModels() {
        return routerModels;
    }

    public void setRouterModels(List<RouterModel> routerModels) {
        this.routerModels = routerModels;
    }

    public List<SecurityGroupModel> getGroupModels() {
        return groupModels;
    }

    public void setGroupModels(List<SecurityGroupModel> groupModels) {
        this.groupModels = groupModels;
    }

    public List<KeypairModel> getKeypairModels() {
        return keypairModels;
    }

    public void setKeypairModels(List<KeypairModel> keypairModels) {
        this.keypairModels = keypairModels;
    }

    public List<ClusterModel> getClusterModels() {
        return clusterModels;
    }

    public void setClusterModels(List<ClusterModel> clusterModels) {
        this.clusterModels = clusterModels;
    }
}
